/*
KURWICA (C) 2019 IMI Kurwica

Internal Windows functions used by KURWICA
*/

#pragma once
#define DLL_PROCESS_VERIFIER 4

typedef VOID (NTAPI * RTL_VERIFIER_DLL_LOAD_CALLBACK) (
	PWSTR DllName,
	PVOID DllBase,
	SIZE_T DllSize,
	PVOID Reserved
);

typedef VOID (NTAPI * RTL_VERIFIER_DLL_UNLOAD_CALLBACK) (
	PWSTR DllName,
	PVOID DllBase,
	SIZE_T DllSize,
	PVOID Reserved
);

typedef VOID (NTAPI * RTL_VERIFIER_NTDLLHEAPFREE_CALLBACK) (
	PVOID AllocationBase,
	SIZE_T AllocationSize
);

NTSTATUS NTAPI LdrDisableThreadCalloutsForDll (
	PVOID BaseAddress
);

NTSTATUS NTAPI RtlGetVersion(
	PRTL_OSVERSIONINFOEXW lpVersionInformation
);
